# Created by pyp2rpm-1.0.1
%global pypi_name sampy

Name:           python-sampy
Version:        1.2.1
Release:        %mkrel 8
Group:          Development/Python
Summary:        SAMPy is an IVOA SAMP (Simple Application Messaging Protocol) messaging system implementation in Python

License:        GNU General Public License
Source0:        https://pypi.python.org/packages/source/s/sampy/sampy-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  tkinter

%description
SAMPy is a Python implementation of the IVOA Simple Application
Messaging Protocol [*] version 1.2 (with Web Profile support).

SAMPy Python module (sampy.py) provides classes to easily:

1) instantiate one or multiple Hubs;
2) interface an application or script to a running Hub;
3) create and manage a SAMP client.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc 
%{_bindir}/sampy
%{python_sitelib}/%{pypi_name}.py*
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 1.2.1-8.mga6
+ Revision: 938400
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-7.mga5
+ Revision: 740565
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.1-6.mga5
+ Revision: 729697
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-5.mga5
+ Revision: 688316
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 544227
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.1-2.mga4
+ Revision: 499321
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jul 26 2013 joequant <joequant> 1.2.1-1.mga4
+ Revision: 458640
- update sampy
- imported package python-sampy

